//
//  ViewController.swift
//  generala
//
//  Created by Julio Hermosa on 4/9/20.
//  Copyright © 2020 Mobile Roshka. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    //inicializamos un dado, del tipo Dado
    var dado = Dado.init()

    @IBOutlet weak var jugarBtn: UIButton!
    
    //Se cargan las imagenes de los dados segun el resultado obtenido
    @IBOutlet weak var dado1: UIImageView!
    @IBOutlet weak var dado2: UIImageView!
    @IBOutlet weak var dado3: UIImageView!
    @IBOutlet weak var dado4: UIImageView!
    @IBOutlet weak var dado5: UIImageView!
    
    //Botón para iniciar juego, llama a la función jugar
    @IBAction func jugarBtnAction(_ sender: Any) {
        jugar()
    }
    
    @IBOutlet weak var resultadoLbl: UILabel!
    
    
    //Función jugar, se realizan las operaciones de lanzamiento de los dados, carga de imagenes de los dados y se imprime si hay alguna combinación en el label resultadoLbl
    func jugar(){
        dado.lanzarDado() //Se carga el resultado de los lanzamientos
        //print(dado.obtenerResultado())
        resultadoLbl.text = dado.obtenerResultado()
        dado1.image = UIImage(named: "dado-\(dado.resultado[0])")
        dado2.image = UIImage(named: "dado-\(dado.resultado[1])")
        dado3.image = UIImage(named: "dado-\(dado.resultado[2])")
        dado4.image = UIImage(named: "dado-\(dado.resultado[3])")
        dado5.image = UIImage(named: "dado-\(dado.resultado[4])")
        dado.reiniciar()//Borramos todos los datos del usuario para que se pueda volver a jugar
        
      
    }
    override func viewDidLoad() {
        super.viewDidLoad()
    }


}

